from sqlalchemy import Column, Enum, ForeignKey, Integer, String

from schemas.connector import ConnectorStatus
from database import Base

class Connector(Base):
    __tablename__ = "connectors"

    id = Column(String, primary_key=True)
    evse = Column(Integer)
    index = Column(Integer)
    status = Column(Enum(ConnectorStatus))

    chargepoint_id = Column(String, ForeignKey("chargepoints.id"))
