from sqlalchemy import Boolean, Column, String
from sqlalchemy.orm import relationship

from database import Base

class User(Base):
    __tablename__ = "users"

    id = Column(String, primary_key=True)
    friendly_name = Column(String, unique=True, index=True)
    is_active = Column(Boolean, default=True)
    id_tokens = relationship("IdToken", back_populates="owner")
