from pydantic import BaseModel

from schemas.user import User

class IdTokenBase(BaseModel):
    title: str
    is_active: bool

class IdTokenCreate(IdTokenBase):
    pass

class IdToken(IdTokenBase):
    id: str
    owner: User

    class Config:
        from_attributes = True